import React, { useContext } from 'react';
import classnames from 'classnames';
import Tooltip from '@mui/material/Tooltip';
import Description from '../icons/Description';
import { FeaturesContext } from '../contexts/FeaturesContext';
import { useStyles } from './styles';
export var DescriptionIcon = function (_a) {
    var className = _a.className, description = _a.description;
    var showDescription = useContext(FeaturesContext).showDescription;
    var styles = useStyles();
    if (!description || !showDescription) {
        return null;
    }
    return (React.createElement(Tooltip, { title: description, placement: "bottom" },
        React.createElement("span", { "data-reltio-id": "reltio-description-icon", className: classnames(styles.icon, className) },
            React.createElement(Description, null))));
};
